curl -X POST "https://api.scanova.io/theme/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "Ocean Breeze",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } }
}'
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
السمات وقوالب الصفحات
إنشاء سمة
POST /theme/
POST
/
theme
/
curl -X POST "https://api.scanova.io/theme/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "Ocean Breeze",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } }
}'
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
يحفظ سمة جديدة، على مضيف Management API (
يُنشَأ
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
POST https://api.scanova.io/theme/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
مطلوب
اسم السمة، بحد أقصى 100 حرف. تُرفَض الأسماء الفارغة أو التي تحتوي على مسافات فقط.
object
مطلوب
رموز التصميم (الألوان والخطوط وما إلى ذلك) وفق مخطط ThemeConfigV2 — يُتحقَّق منها في جانب الخادم.
curl -X POST "https://api.scanova.io/theme/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "Ocean Breeze",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } }
}'
{
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" }, "font": { "heading": "Inter" } },
"schema_version": 2,
"category_hints": ["website-url", "vcard"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
}
slug من قِبل الخادم ولا يمكن تعيينه مباشرة. يُعاد 400 إذا كانت name فارغة أو فشل config_json في التحقق من مخطط ThemeConfigV2.
ذات صلة
- سرد السمات — الاطلاع على السمات المحفوظة.
- تحديث سمة — تعديل سمة موجودة.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
Theme created.
هل كانت هذه الصفحة مفيدة؟